summaryrefslogtreecommitdiffstats
path: root/system/siji-font
diff options
context:
space:
mode:
author Azure Zanculmarktum2018-03-16 11:40:21 +0100
committer Willy Sudiarto Raharjo2018-03-16 11:40:21 +0100
commit9f101925598c4f8a1fb4e46c1f0a9c5f28c2d796 (patch)
treef4e060d924da9ddeee6875f861096059e2f00efe /system/siji-font
parent7db4aaf098290f9932d4898083c6072eb1b9937a (diff)
downloadslackbuilds-9f101925598c4f8a1fb4e46c1f0a9c5f28c2d796.tar.gz
system/siji-font: Added (bitmap font).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'system/siji-font')
-rw-r--r--system/siji-font/README6
-rw-r--r--system/siji-font/doinst.sh12
-rw-r--r--system/siji-font/siji-font.SlackBuild68
-rw-r--r--system/siji-font/siji-font.info10
-rw-r--r--system/siji-font/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/system/siji-font/README b/system/siji-font/README
new file mode 100644
index 0000000000..80e49ae2c7
--- /dev/null
+++ b/system/siji-font/README
@@ -0,0 +1,6 @@
+Siji is an iconic bitmap font based on the Stlarch font with additional
+glyphs.
+
+It inherits additional glyphs from Sm4tik xbm icon pack, Lokaltog
+Symbols font, xbm-icon font, Uushi font, FontAwesome, and Tewi font with
+personal additions.
diff --git a/system/siji-font/doinst.sh b/system/siji-font/doinst.sh
new file mode 100644
index 0000000000..440f45861f
--- /dev/null
+++ b/system/siji-font/doinst.sh
@@ -0,0 +1,12 @@
+if [ -x /usr/bin/mkfontdir -o -x /usr/X11R6/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/misc
+ mkfontdir .
+ )
+fi
+if [ -x /usr/bin/xset ]; then
+ /usr/bin/xset +fp /usr/share/fonts/misc
+ /usr/bin/xset fp rehash
+fi
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/siji-font/siji-font.SlackBuild b/system/siji-font/siji-font.SlackBuild
new file mode 100644
index 0000000000..706b558a74
--- /dev/null
+++ b/system/siji-font/siji-font.SlackBuild
@@ -0,0 +1,68 @@
+#!/bin/sh
+
+# Slackware build script for siji-font
+
+# Copyright 2018 Azure Zanculmarktum <zanculmarktum@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=siji-font
+SRCNAM=${PRGNAM%-*}
+SRCVER=25468227348e2d4b3abbc163b2e2d68882fa2ba6
+VERSION=${VERSION:-20171023_${SRCVER%${SRCVER#???????}}}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$SRCVER
+tar xvf $CWD/$SRCNAM-$SRCVER.tar.gz
+cd $SRCNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p $PKG/usr/share/fonts/misc
+bdftopcf bdf/siji.bdf -o $PKG/usr/share/fonts/misc/siji.pcf
+( cd $PKG/usr/share/fonts/misc
+ gzip -9 siji.pcf
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE Readme.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/siji-font/siji-font.info b/system/siji-font/siji-font.info
new file mode 100644
index 0000000000..63780b1642
--- /dev/null
+++ b/system/siji-font/siji-font.info
@@ -0,0 +1,10 @@
+PRGNAM="siji-font"
+VERSION="20171023_2546822"
+HOMEPAGE="https://github.com/stark/siji"
+DOWNLOAD="https://github.com/stark/siji/archive/25468227348e2d4b3abbc163b2e2d68882fa2ba6/siji-25468227348e2d4b3abbc163b2e2d68882fa2ba6.tar.gz"
+MD5SUM="dbaa0ddedaaae89b0919b2015201e70a"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Azure Zanculmarktum"
+EMAIL="zanculmarktum@gmail.com"
diff --git a/system/siji-font/slack-desc b/system/siji-font/slack-desc
new file mode 100644
index 0000000000..181380cd41
--- /dev/null
+++ b/system/siji-font/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+siji-font: siji-font (bitmap font)
+siji-font:
+siji-font: Siji is an iconic bitmap font based on the Stlarch font with
+siji-font: additional glyphs.
+siji-font:
+siji-font:
+siji-font:
+siji-font:
+siji-font:
+siji-font:
+siji-font: